Skip to main content
GET
Get a list of users

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your API key. Must only be used when using Hanko Cloud.

Query Parameters

page
integer
default:1

The page which should be returned

per_page
integer
default:20

The number of returned items

user_id
string<uuid4>

A single ID or a comma-separated list of IDs. Only users with the specified IDs are included in the result.

Example:

"c339547d-e17d-4ba7-8a1d-b3d5a4d17c1c"

email
string<email>

Only users with the specified email are included

Example:

"example@example.com"

sort_direction
enum<string>

The sort direction of the returned list (always sorted by created_at)

Available options:
asc,
desc

Response

Details about users

id
string<uuid4>
required

The ID of the user

Example:

"c339547d-e17d-4ba7-8a1d-b3d5a4d17c1c"

created_at
string<date-time>
required

Time of creation of the user

updated_at
string<date-time>
required

Time of last update of the user

webauthn_credentials
object[]

List of registered Webauthn credentials

emails
object[]

List of emails associated to the user

username
object

The username of the user